# Send confirmation code for contact verification

Send a verification code to an email or phone number.
This creates a confirmation code in the system which can be used
via the `.../contacts` endpoint to verify the contact. (i.e., this
sets the `verified` attribute of the contact to `true`.)
This endpoint is rate limited to 10 requests per *borrower*
per hour.
An interaction is created with InteractionSubject `confirmationCode`.
NOTE: This endpoint is not checked against Compliance Guard, however
it should never be necessary to restrict sending confirmation codes
due to compliance guard rules.

Endpoint: POST /communicator/send-confirmation-code
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Request fields (application/json):

  - `channel` (string)
    The channel where interactions with a borrower occur. For example, an
outbound call with a borrower is considered a `voice` interaction.
**DEPRECATED**: The `fax` channel is deprecated: new interactions
cannot be created with the `fax` channel. It will be removed
from completely in the future.
    Enum: "voice", "email", "fax", "text", "chat", "mail", "gui", "document"

  - `context` (object)
    Template specific properties to substitute in the corresponding
ConfirmationCode template.

  - `email` (string)
    The destination email address.

  - `personId` (string, required)
    The borrower's unique identifier. Can be Peach or lender's
external identifier.

  - `phone` (string)
    The destination phone number.

